Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIISetNodalVariableNames

Sets the names of all nodal variables.

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIISetNodalVariableNames(PetscViewer viewer, const char *const names[])

Collective; No Fortran Support

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

- names - an array of string names to be set, the strings are copied into the `PetscViewer`

## Notes

This function allows users to set multiple nodal variable names at a time.

## See Also

`PETSCVIEWEREXODUSII`, `PetscViewer`, `PetscViewerCreate()`, `PetscViewerDestroy()`, `PetscViewerExodusIIOpen()`, `PetscViewerSetType()`, `PetscViewerType`, `PetscViewerExodusIIGetNodalVariableNames()`

## Level

intermediate

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages